#ifndef _IPL_IO_H_
#define _IPL_IO_H_

#define read8(addr) \
	({ unsigned char __v = (*(volatile unsigned char *) (addr)); __v; })
#define read16(addr) \
	({ unsigned short __v = (*(volatile unsigned short *) (addr)); __v; })
#define read32(addr) \
	({ unsigned int __v = (*(volatile unsigned int *) (addr)); __v; })

#define write8(addr, b) \
	(void)((*(volatile unsigned char *) (addr)) = (b))
#define write16(addr, b) \
	(void)((*(volatile unsigned short *) (addr)) = (b))
#define write32(addr, b) \
	(void)((*(volatile unsigned int *) (addr)) = (b))

#endif

